package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 考勤统计新增/修改 Request VO")
@Data
public class AttendanceStatisticsSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "24107")
    private Long id;

    @Schema(description = "考勤用户id", example = "7104")
    private Long userId;

    @Schema(description = "考勤组id", example = "14983")
    private Long attendanceGroupId;

    @Schema(description = "考勤组名称", example = "赵六")
    private String attendanceGroupName;

    @Schema(description = "班次id", example = "14364")
    private Long attendanceGroupShiftId;

    @Schema(description = "班次名称", example = "李四")
    private String attendanceGroupShiftName;

    @Schema(description = "日期yyyy-MM-dd格式")
    private String dayTime;

    @Schema(description = "是否异常 0否 1是")
    private Integer abnormalFlag;

    @Schema(description = "工时（时间戳）")
    private Long workingHours;

}