package cn.iocoder.yudao.module.system.controller.app.attendance.dto;

import cn.hutool.core.date.DatePattern;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
public class AttendanceStatisticsDTO {
    /**
     * 类型 0按天(默认) 1按周 2按月
     */
    public static final Integer TYPE_DAY = 0;
    public static final Integer TYPE_WEEK = 1;
    public static final Integer TYPE_MONTH = 2;

    @Schema(description = "类型 0按天(默认) 1按周 2按月")
    private Integer type = 0;

    @Schema(description = "当前查看的时间 (默认当天 按周或者按月 传周/月 开始时间过来即可)")
    private String time = DatePattern.NORM_DATE_FORMAT.format(LocalDateTime.now());
}
